Skip to main content
GET
Get server

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

server_id
string<uuid>
required

Query Parameters

project_reference
string

Project ID or slug. When set, the operation acts on that project’s servers with the project checks (project.read to read, project.runtime.manage to create or delete) instead of on the servers you own.

Response

Server owned by the caller, or the project’s server

id
string<uuid>
required
short_id
string
required
user_id
string<uuid>
required
environment_ids
string<uuid>[]
required
hostname
string
required
status
enum<string>
required
Available options:
pending,
provisioning,
running,
error,
deleting
created_at
string
required
updated_at
string
required